%define major 	  0
%define	libname   %mklibname cinepaint %{major}
%define minor 	  0
%define revision  22

%define ver	%{major}.%{revision}
%define rel	%mkrel 1
%define subver 0

%define use_gutenprint	0
%{?_with_print: %global use_gutenprint 1}
%{?_without_print: %global use_gutenprint 0}

Summary:       A tool for manipulating high-colordepth images
Name:          cinepaint
Version:       %ver
Release:       %rel
License:       GPL
Group:         Graphics
URL:           http://www.cinepaint.org
Source0:       http://downloads.sourceforge.net/cinepaint/cinepaint-%{version}-%{subver}.tar.gz
Source1:       icons-%{name}.tar.bz2
Patch2:        cinepaint-0.22-openexr.patch
Patch4:        cinepaint-0.21-python.patch
Patch5:        cinepaint-0.21-python64.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}
BuildRequires: bison
BuildRequires: desktop-file-utils
BuildRequires: GL-devel
BuildRequires: flex
BuildRequires: fltk-devel
BuildRequires: python-devel
BuildRequires: libgtk+-devel >= 1.2.8
BuildRequires: libgtk+2-devel
BuildRequires: libjpeg-devel
BuildRequires: liblcms-devel
BuildRequires: libmesaglu-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libgimp-devel
BuildRequires: libxmu-devel
BuildRequires: libxpm-devel
BuildRequires: OpenEXR-devel
BuildRequires: libOpenEXR-devel
BuildRequires: gutenprint-devel >= 5.0.0-0.8mdk
%if %{use_gutenprint}
BuildRequires: libgutenprintui2-devel >= 5.0.0-0.8mdk
%endif
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Obsoletes:     filmgimp
Provides:      filmgimp

%description 
CinePaint is a free open source painting and image retouching program
designed to work best with 35mm film and other high resolution high
dynamic range images. 

The 32-bit per channel color range of CinePaint appeals to 35mm
cinematographers and professional still photographers because film
scanners are capable of greater color bit-depth than can be displayed
on an 8-bit per channel monitor or can be manipulated in typical
programs. However, CinePaint is a general-purpose tool useful for
working on images for motion pictures, print, and the Web. CinePaint
supports many file formats, both conventional formats such as JPEG,
PNG, TIFF, and TGA images -- and more exotic cinema formats such as
Cineon and OpenEXR.


%package -n %{libname}
Summary:	CinePaint libraries
Group:		System/Libraries
License:	GPL
Provides:	libcinepaint = %version-%release

%description -n %{libname}
This package contains shared libraries used by CinePaint.

%package -n %{libname}-devel
Summary:	CinePaint plugins and extension development kit
Group:		Development/C
Requires:	%{libname} = %version
Provides:	cinepaint-devel
Provides:	libcinepaint-devel = %version-%release

%description -n %{libname}-devel
Static libraries and header files for writing CinePaint plugins and
extensions.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch2 -p1 -b .openexr
%patch4 -p1 -b .python
%ifarch x86_64
%patch5 -p1 -b .python64
%endif
aclocal && autoconf && automake
chmod +x ./mkinstalldirs

%build
%configure2_5x \
%if %use_gutenprint
	--enable-print \
%else
	--disable-print \
%endif
	--enable-gtk2 \
	--enable-pygimp
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/cinepaint <<EOF
?package(cinepaint): command="%{_bindir}/cinepaint" \
icon="cinepaint.png" \
section="Multimedia/Graphics" \
title="CinePaint" \
longtitle="A tool for manipulating images" \
%if %{mdkversion} >= 200610
xdg=true \
%endif
needs="x11"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
tar -xjf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%if %{mdkversion} >= 200610
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-category="Graphics" \
  --add-category="RasterGraphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
%endif

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,0755)
%dir %{_datadir}/cinepaint
%dir %{_datadir}/cinepaint/%{ver}-%{subver}
%dir %{_libdir}/cinepaint
%dir %{_libdir}/cinepaint/%{ver}-%{subver}
%{_bindir}/cinepaint
%{_bindir}/cinepaint-remote
%{_mandir}/man1/cinepaint.1*
%{_libdir}/cinepaint/%{ver}-%{subver}/*
%{_datadir}/cinepaint/%{ver}-%{subver}/*
%{_menudir}/cinepaint
%{_datadir}/fonts/FreeSans.ttf
%{_datadir}/pixmaps/*.png
%if %{mdkversion} >= 200610
%{_datadir}/applications/*.desktop
%endif
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{py_puresitedir}/*
%{py_platsitedir}/*

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/libcinepaint*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,0755)
%{_bindir}/cinepainttool
%{_datadir}/aclocal/cinepaint.m4
%{_includedir}/*
%{_mandir}/man1/cinepainttool.1*
%{_libdir}/*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%attr(0644,root,root) %{_libdir}/lib*.la


%changelog
* Fri May 04 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.22-1mdv2008.0
+ Revision: 22537
- Added missing BuildRequires for libmesaglu-devel.
- Added missing BuildRequires for GL-devel.
- Added missing BuildRequires for libxpm-devel.
- We need to use now --enable-pygimp to enable python plugin.
- Updated to 0.22-0.
- Redid openexr patch.
- Removed gutenprint patch, a different fix is already upstream, and we
  now enable gtk2 support.
- Removed already applied app_procs patch.
- Spec identation fixes.


* Mon Feb 19 2007 Giuseppe Ghibò <ghibo@mandriva.com> 0.21-2mdv2007.0
+ Revision: 122672
- use macro %%{py_puresitedir} and
  %%{py_platsitedir} for python scripts.
- Added libgimp-devel and libxmu-devel to BuildRequires.
- Added Patch4 & 5 for python 2.5 & 64bit python.
- disabled parallel building.
- Added Patch3 for using libgutenprintui2
  and disabled printing by default.
- Added desktop-file-utils to BuildRequires.
- Fixed gutenprint-devel BuildRequires.
- fixed %%install stage.
- Release 0.21-2.
- Import cinepaint

* Wed Sep 20 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.21-1mdv2007.0
- Release 0.21-1.
- Removed old Patch0.
- Added Patch0 for gcc411.
- New icons.

* Fri Apr 14 2006 Giuseppe Ghib <ghibo@mandriva.com> 0.20-2mdk
- Added Patch0 for X86-64.

* Thu Nov 03 2005 Till Kamppeter <till@mandriva.com> 0.20-1mdk
- Updated to version 0.20-1.
- Added "BuildRequires: libgutenprintui-devel, fltk-devel".

* Wed Aug 31 2005 Till Kamppeter <till@mandriva.com> 0.19-4mdk
- Added printing support via Gutenprint.

* Tue Jul 12 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.19-3mdk
- Release: 0.19-1-1.

* Thu Jan 13 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.19-2mdk
- Added OpenEXR-devel to BuildRequires.

* Wed Jan 12 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.19-1mdk
- Release: 0.19.0.
- Removed Patch0, merged upstream.

* Sun Sep 12 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.18-7mdk
- Release: 0.18.3.
- Added fix for compiling with gcc 3.4.1.

